#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name:           kolourpaint
Summary:        A free, easy-to-use paint program for Plasma5
Epoch:          2
Version: 16.12.3
Release:        %mkrel %{rel}
Group:          Graphics/Editors and Converters
License:        GPLv2 and LGPLv2 and GFDL
URL:            http://www.kde.org/applications/graphics/kolourpaint/
Source:         http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
# Branch Patch (100-200)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5Sane)
BuildRequires:  cmake(KF5KExiv2)

Requires:       kdelibs4support
Requires:       qtimageformats5
Recommends:     %{name}-handbook

%description
KolourPaint is a free, easy-to-use paint program for Plasma 5.

It aims to be conceptually simple to understand; providing a level of
functionality targeted towards the average user. It's designed for daily
tasks like:

* Painting - drawing diagrams and "finger painting"
* Image Manipulation - editing screenshots and photos; applying effects
* Icon Editing - drawing clipart and logos with transparency

%files
%_kf5_bindir/kolourpaint
%_kf5_applicationsdir/org.kde.kolourpaint.desktop
%_kf5_appdatadir/*.xml
%_kf5_datadir/kolourpaint/
%_kf5_datadir/kxmlgui5/kolourpaint/
%_kf5_iconsdir/hicolor/*/apps/kolourpaint.*

#------------------------------------------------------------------------------

%package -n     kolourpaint-handbook
Summary:        kolourpaint Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       kolourpaint >= %{epoch}:%{version}-%{release}
Conflicts:      kolourpaint < 2:4.7.1

%description -n kolourpaint-handbook
This package provides kolourpaint handbook.

%files -n kolourpaint-handbook
%doc COPYING COPYING.LIB COPYING.DOC
%doc %_kf5_docdir/HTML/en/kolourpaint/

#------------------------------------------------------------------------------

%define kolourpaint_lgpl_major 5
%define libkolourpaint_lgpl %mklibname kolourpaint_lgpl %kolourpaint_lgpl_major

%package -n     %libkolourpaint_lgpl
Summary:        Runtime library for Kolourpaint
Group:          System/Libraries

%description -n %libkolourpaint_lgpl
Runtime library for Kolourpaint.

%files -n %libkolourpaint_lgpl
%_kf5_libdir/libkolourpaint_lgpl.so.%{kolourpaint_lgpl_major}*

#------------------------------------------------------------------------------

%package        devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkolourpaint_lgpl = %epoch:%version-%release
Conflicts:      kdegraphics4-devel < 2:4.6.90

%description    devel
This package contains header files needed if you wish to build applications
based on %name.

%files devel
%_kf5_libdir/libkolourpaint_lgpl.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Mon Aug 14 2017 daviddavid <daviddavid> 2:16.12.3-1.1.mga6
+ Revision: 1140258
- requires kdelibs4support and qtimageformats5 (mga#21514)

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090102
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076842
- New version 16.12.0

* Wed Dec 07 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073033
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067361
- New version 16.08.3

* Tue Oct 18 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061716
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050686
- New version 16.08.1

* Mon Aug 22 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047754
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040087
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012577
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004366
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 994920
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991209
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 2:15.12.2-1.mga6
+ Revision: 987479
- New version 15.12.2

* Mon Jan 18 2016 neoclust <neoclust> 2:15.12.1-1.mga6
+ Revision: 925206
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 2:15.12.0-1.mga6
+ Revision: 912022
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 2:15.11.80-1.mga6
+ Revision: 905492
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 2:15.08.3-1.mga6
+ Revision: 901044
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880878
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 866317
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 2:15.07.80-1.mga6
+ Revision: 859178
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 2:4.14.3-1.mga5
+ Revision: 800624
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 2:4.14.2-1.mga5
+ Revision: 787713
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 2:4.14.1-2.mga5
+ Revision: 751125
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 2:4.14.1-1.mga5
+ Revision: 734572
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 2:4.14.0-2.mga5
+ Revision: 681163
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 2:4.14.0-1.mga5
+ Revision: 667509
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 2:4.13.97-1.mga5
+ Revision: 663021
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 2:4.13.95-1.mga5
+ Revision: 656699
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 2:4.13.90-1.mga5
+ Revision: 653885
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 2:4.13.80-1.mga5
+ Revision: 652098
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 2:4.13.2-1.mga5
+ Revision: 636759
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 2:4.13.1-1.mga5
+ Revision: 625526
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 2:4.13.0-1.mga5
+ Revision: 615603
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 2:4.12.97-1.mga5
+ Revision: 609419
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 2:4.12.95-1.mga5
+ Revision: 606860
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 2:4.12.90-1.mga5
+ Revision: 603367
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 2:4.12.80-1.mga5
+ Revision: 600702
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 2:4.12.2-1.mga5
+ Revision: 590488
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 2:4.11.5-1.mga5
+ Revision: 580695
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 555019
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551291
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 539877
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490692
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 2:4.11.1-2.mga4
+ Revision: 488641
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476787
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465140
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458937
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455323
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447896
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435245
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428364
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407176
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401906
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394353
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 356406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339398
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334507
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326712
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320265
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316149
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301925
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289714
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 277065
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269694
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 2:4.8.95-1.mga3
+ Revision: 265777
- New version - 4.8.95

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257216
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 232814
- Add missing requires for handbook

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228443
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221491
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198185
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190930
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185921
- Update tarball to KDE SC 4.7.95
- fix group
- fix devel requires

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182133
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176465
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161361
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151966
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140657
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- fix license
- remove %%defattr
- update url
- use pkgconfig() for buildrequires

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122481
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 fwang <fwang> 2:4.6.90-1.mga2
+ Revision: 115552
- add conflits on older package for upgrading

  + mikala <mikala>
    - imported package kolourpaint

